Check DARF
curl --request POST \
--url https://api.sandbox.trio.com.br/banking/cashout/darf/check \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"accumulated_revenue_amount": 100,
"amount": 100,
"assessment_date": "2026-01-01",
"authentication_date": "2026-01-01",
"due_date": "2026-01-01",
"federal_revenue_id": "",
"fine_amount": 10,
"interest_amount": 5,
"name": "John Doe",
"percentage": 2,
"phone": "+5541999381724",
"reference_number": 123456789,
"tax_number": "05964110000197"
}
'import requests
url = "https://api.sandbox.trio.com.br/banking/cashout/darf/check"
payload = {
"accumulated_revenue_amount": 100,
"amount": 100,
"assessment_date": "2026-01-01",
"authentication_date": "2026-01-01",
"due_date": "2026-01-01",
"federal_revenue_id": "",
"fine_amount": 10,
"interest_amount": 5,
"name": "John Doe",
"percentage": 2,
"phone": "+5541999381724",
"reference_number": 123456789,
"tax_number": "05964110000197"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accumulated_revenue_amount: 100,
amount: 100,
assessment_date: '2026-01-01',
authentication_date: '2026-01-01',
due_date: '2026-01-01',
federal_revenue_id: '',
fine_amount: 10,
interest_amount: 5,
name: 'John Doe',
percentage: 2,
phone: '+5541999381724',
reference_number: 123456789,
tax_number: '05964110000197'
})
};
fetch('https://api.sandbox.trio.com.br/banking/cashout/darf/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"error": {
"error_code": "UNAUTHORIZED",
"error_message": "Invalid credentials"
}
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"error": {
"error_code": "INTEGRATION_ERROR",
"error_message": "An unexpected issue occurred"
}
}Darf (manual)
Check DARF
Check a DARF
POST
/
banking
/
cashout
/
darf
/
check
Check DARF
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
Check DARF payload
Check DARF request params
Accumulated revenue amount
Amount
Assessment date
Authentication date
Due date
Federal revenue ID
Fine amount
Interest amount
Name
Percentage
Phone number
Tax number
Reference number
Response
Created
Response schema for a single DARF generation
Show child attributes
Show child attributes
⌘I

